<?php
Kirki::add_section( 'rs_wp_minimal_blog_theme_header_section', array(
    'title'          => esc_html__( 'Header Settings', 'rs-wp-minimal-blog' ),
    'panel'          => 'rs_wp_minimal_blog_global_panel',
    'priority'      => 10,
) );

Kirki::add_field( 'rs_wp_minimal_blog_config', [
    'type'        => 'color',
    'settings'    => 'header_bg_color',
    'label'       => __( 'Background Color', 'rs-wp-minimal-blog' ),
    'section'     => 'rs_wp_minimal_blog_theme_header_section',
    'default'     => '#ffffff',
    'transport'   => 'auto',
    'priority'  => 3,
    'output' => array(
        array(
            'element'  => 'header#masthead',
            'property' => 'background-color',
        ),
    ),
] );

Kirki::add_field( 'rs_wp_minimal_blog_config', [
    'type'        => 'color',
    'settings'    => 'header_title_typography',
    'label'       => esc_html__( 'Site Title Color', 'rs-wp-minimal-blog' ),
    'section'     => 'rs_wp_minimal_blog_theme_header_section',
    'default'     => '#000',
    'transport'   => 'auto',
    'priority'      => 6,
    'output'      => [
        [
            'element' => '.site-branding .site-title a',
        ],
    ],
] );

Kirki::add_field( 'rs_wp_minimal_blog_config', [
    'type'        => 'color',
    'settings'    => 'header_desc_typography',
    'label'       => esc_html__( 'Site Description Color', 'rs-wp-minimal-blog' ),
    'section'     => 'rs_wp_minimal_blog_theme_header_section',
    'default'     => '#000',
    'transport'   => 'auto',
    'priority'      => 7,
    'output'      => [
        [
            'element' => '.site-branding p.site-description',
        ],
    ],
] );

Kirki::add_field( 'rs_wp_minimal_blog_config', [
    'type'        => 'color',
    'settings'    => 'header_menu_bg_color',
    'label'       => esc_html__( 'Menu Background Color', 'rs-wp-minimal-blog' ),
    'section'     => 'rs_wp_minimal_blog_theme_header_section',
    'default'     => '#325d68',
    'transport'   => 'auto',
    'priority'  => 8,
    'output'      => [
        [
            'element' => '.rs-wp-minimal-blog-menu-area',
        ],
    ],
] );

Kirki::add_field( 'rs_wp_minimal_blog_config', [
    'type'        => 'color',
    'settings'    => 'header_menu_color',
    'label'       => esc_html__( 'Menu Color', 'rs-wp-minimal-blog' ),
    'section'     => 'rs_wp_minimal_blog_theme_header_section',
    'default'     => '#ffffff',
    'transport'   => 'auto',
    'priority'  => 8,
    'output'      => [
        [
            'element' => '#cssmenu>ul>li>a',
        ],
    ],
] );

Kirki::add_field( 'rs_wp_minimal_blog_config', [
    'type'        => 'color',
    'settings'    => 'header_menu_hover_color',
    'label'       => esc_html__( 'Menu Hover Color', 'rs-wp-minimal-blog' ),
    'section'     => 'rs_wp_minimal_blog_theme_header_section',
    'default'     => '#f1f1f1',
    'transport'   => 'auto',
    'priority'  => 8,
    'output'      => [
        [
            'element' => '#cssmenu>ul>li>a:hover',
        ],
    ],
] );


do_action('bab_header_settings');