<?php
/**
 * Enqueue scripts and styles.
 */
function rs_wp_minimal_blog_scripts() {
	wp_enqueue_style( 'rs-wp-minimal-icon-font', get_theme_file_uri('assets/css/iconfont.css') );
	wp_enqueue_style( 'rs-wp-minimal-blog-style', get_stylesheet_uri() );
	if ( function_exists( 'is_woocommerce' ) && ( is_woocommerce() || is_cart() || is_checkout() || is_account_page() ) ) {
		wp_enqueue_style( 'rs-wp-minimal-post-slider', get_theme_file_uri('assets/css/woo-style.css') );
	}

	$showPostSlider = get_theme_mod('show_featured_post_slider', true);
	if (is_home() && true == $showPostSlider) {
		wp_enqueue_style( 'rs-wp-minimal-post-slider', get_theme_file_uri('assets/css/post-slider.css') );
	}
	$headerContainerSize = '1170';
	$banner_height = 200;
	$headerBgColor = get_theme_mod('header_bg_color', '#000000');
	$inline_style_data = '
		@media (min-width: 1200px) {
			#masthead .container.container-custom-size{
				width: '.$headerContainerSize.'px;
				max-width: '.$headerContainerSize.'px;
			}
		}
		.page-header-area.banner-custom-height{
			height: '.$banner_height.'px;
		}
		header.site-header.header-one{
			background-color: '.$headerBgColor.';
		}
	';
	wp_add_inline_style('rs-wp-minimal-blog-style', $inline_style_data);
	$masonryActivate = get_theme_mod('active_masonry_layout', true);
	if (true == $masonryActivate) {
		wp_enqueue_script( 'imagesloaded', esc_url( get_template_directory_uri() ) . '/assets/js/imagesloaded.pkgd.min.js', array( 'jquery' ), '1.0', true );
		wp_enqueue_script( 'masonry' );
	}
	wp_enqueue_script( 'rs-wp-minimal-blog-menu', esc_url( get_template_directory_uri() ) . '/assets/js/menu.js', array( 'jquery' ), '1.0', true );
	wp_enqueue_script( 'rs-wp-minimal-blog-active', esc_url( get_template_directory_uri() ) . '/assets/js/active.js', array( 'jquery' ), '1.0', true );
	wp_enqueue_script( 'rs-wp-minimal-blog-active', esc_url( get_template_directory_uri() ) . '/assets/js/active.js', array( 'jquery' ), '1.0', true );
	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}
}
add_action( 'wp_enqueue_scripts', 'rs_wp_minimal_blog_scripts', 10 );

add_action('customize_controls_enqueue_scripts', 'rs_wp_minimal_blog_customizer_scripts');
function rs_wp_minimal_blog_customizer_scripts(){
	wp_enqueue_style('customizer-style', esc_url(get_theme_file_uri('assets/customizer/customizer-style.css')));
}

add_action('enqueue_block_editor_assets', 'rs_wp_minimal_blog_global_scripts', 10);
add_action('wp_enqueue_scripts', 'rs_wp_minimal_blog_global_scripts', 10);

function rs_wp_minimal_blog_global_scripts(){
	wp_enqueue_style( 'bootstrap-grid', esc_url(get_theme_file_uri( 'assets/css/bootstrap-grid.css' )) );
	wp_enqueue_style( 'block-style', esc_url(get_theme_file_uri( 'assets/blocks-style/block-styles.css' )) );
	/**
	 * Title Border Color
	 */
	$getTitleBorderColor = get_theme_mod('primary_bg_color', '#335d67');
	$containerWidth = '1200';
	$inline_style_data = '
		@media (min-width: 1300px) {
			.container{
				max-width: '.$containerWidth.'px;
			}
		}
		.rs-wp-minimal-blog-standard-post__post-title h2 a, ul.recent-post-widget li .recent-widget-content h2 a{
            background-image: linear-gradient(to right, '.$getTitleBorderColor.' 0%, '.$getTitleBorderColor.' 100%);
        }
	';
	wp_add_inline_style('block-style', $inline_style_data);
}




