<?php
/**
 * The main template file
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package RS WP MINIMAL BLOG
 */
get_header();
$showFeaturedPostSlider = get_theme_mod('show_featured_post_slider', true);
if (true == $showFeaturedPostSlider) {
	get_template_part('template-parts/posts-slider/posts', 'slider');
}
do_action('rs_wp_minimal_blog_index_before_content');
?>
<div id="primary" class="content-area">
	<main id="main" class="site-main">
	<?php
		do_action( 'rs_wp_minimal_blog_before_default_page' );
		if ( have_posts() ) :
			echo '<div class="row'.rs_wp_minimal_blog_masonry_layout_control().'">';
			/* Start the Loop */
			while ( have_posts() ) :
				the_post();
				get_template_part( 'template-parts/content/content', get_post_type() );
				endwhile;
			echo '</div>';
				rs_wp_minimal_blog_navigation();
			else :
				get_template_part( 'template-parts/content/content', 'none' );
		endif;
		do_action( 'rs_wp_minimal_blog_after_default_page' );
		?>
	</main><!-- #main -->
</div>
<?php
do_action('rs_wp_minimal_blog_index_after_content');
get_footer();
