<?php
/**
 * Template part for displaying page content in page.php
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package RS WP MINIMAL BLOG
 */
$pageLayoutClass = 'default-page-layout rs-wp-minimal-blog-single-page';
if (class_exists('Rs_Wp_Minimal_Blog_Pro')) {
	$getPageLayouts = get_field('page_layout', get_the_ID());
	if ('default' === $getPageLayouts) {
		$pageLayoutClass = 'default-page-layout rs-wp-minimal-blog-single-page';
	}elseif ('classic' === $getPageLayouts) {
		$pageLayoutClass = 'classic-page-layout rs-wp-minimal-blog-single-page';
	}
}

$contentWrapperClass = 'm-0';
if (has_post_thumbnail()) {
	$contentWrapperClass = '';
}
?>
<article id="post-<?php the_ID(); ?>" <?php post_class( $pageLayoutClass ); ?>>
	<?php if (has_post_thumbnail()):?>
	<div class="page-thumbnail single-page-thumbnail">
		<?php rs_wp_minimal_blog_post_thumbnail(); ?>
	</div>
	<?php endif; ?>
	<div class="entry-content single-page-content <?php echo esc_attr($contentWrapperClass);?>">
		<?php
		the_content();
		wp_link_pages(
			array(
				'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'rs-wp-minimal-blog' ),
				'after'  => '</div>',
			)
		);
		?>
	</div><!-- .entry-content -->
	<?php if ( get_edit_post_link() ) : ?>
		<footer class="entry-footer">
			<?php
			edit_post_link(
				sprintf(
					wp_kses(
						/* translators: %s: Name of current post. Only visible to screen readers */
						__( 'Edit <span class="screen-reader-text">%s</span>', 'rs-wp-minimal-blog' ),
						array(
							'span' => array(
								'class' => array(),
							),
						)
					),
					get_the_title()
				),
				'<span class="edit-link">',
				'</span>'
			);
			?>
		</footer><!-- .entry-footer -->
	<?php endif; ?>
</article><!-- #post-<?php the_ID(); ?> -->
