<?php
/**
* Template Name: Header Two
*
*/
$showSocialIcons = true;
$containerClass = 'container';
$siteTitleTag = 'h1';
if (is_home()) {
	$siteTitleTag = 'h1';
}elseif (is_single() || is_page()) {
	$siteTitleTag = 'h2';
}
?>
<header id="masthead" class="site-header header-one" style="background-image: url(<?php echo esc_url( get_header_image() ); ?>);">
	<div class="rs-wp-minimal-blog-logo-section">
		<div class="<?php echo esc_attr($containerClass);?>">
			<div class="row justify-content-between justify-content-md-center">
				<div class="col-md-12 text-md-center col-lg-6 col-xl-6 align-self-center order-1 order-md-1 order-lg-1 text-lg-left">
					<div class="site-branding header-logo">
						<?php
						if ( has_custom_logo() ) :
							the_custom_logo();
						endif;
						?>
						<<?php echo esc_attr( $siteTitleTag );?> class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></<?php echo esc_attr( $siteTitleTag );?>>
							<?php
							$rs_wp_minimal_blog_description = get_bloginfo( 'description', 'display' );
							if ( $rs_wp_minimal_blog_description || is_customize_preview() ) :
								?>
							<p class="site-description"><?php echo esc_html( $rs_wp_minimal_blog_description ); /* WPCS: xss ok. */ ?></p>
								<?php
						endif;
						?>
					</div><!-- .site-branding -->
				</div>
				<div class="mt-0 mt-lg-0 mb-lg-0 col-md-12 col-lg-6 col-xl-6 m-auto align-self-center order-3 order-md-3 order-lg-3 order-xl-2 d-flex justify-content-between text-right justify-content-md-center justify-content-lg-end">
					<div class="header-social-links social-links-wrapper">
						<?php rs_wp_minimal_blog_social_links(); ?>
					</div>
				</div>
			</div>
		</div>
	</div>
	<div class="rs-wp-minimal-blog-menu-area">
		<div class="container">
			<div class="row">
				<div class="col-md-12 pe-0 ps-0">
					<div class="cssmenu text-right align-self-center" id="cssmenu">
						<?php
						if (has_nav_menu('main-menu')) :
							wp_nav_menu(
								array(
									'theme_location'    => 'main-menu',
									'container'         => 'ul',
									'fallback_cb'    => '__return_false',
								)
							);
						endif;
						?>
					</div>
				</div>
			</div>
		</div>
	</div>
</header><!-- #masthead -->

